Skip to main content
GET
/
v1
/
flows
cURL
curl --request GET \
  --url https://cloud.activepieces.com/api/v1/flows \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "created": "<string>",
      "updated": "<string>",
      "projectId": "<string>",
      "externalId": "<string>",
      "status": "ENABLED",
      "operationStatus": "NONE",
      "version": {
        "id": "<string>",
        "created": "<string>",
        "updated": "<string>",
        "flowId": "<string>",
        "displayName": "<string>",
        "trigger": {
          "name": "<string>",
          "valid": true,
          "displayName": "<string>",
          "lastUpdatedDate": "<string>",
          "type": "PIECE_TRIGGER",
          "settings": {
            "propertySettings": {},
            "pieceName": "<string>",
            "pieceVersion": "<string>",
            "input": {},
            "sampleData": {
              "sampleDataFileId": "<string>",
              "sampleDataInputFileId": "<string>",
              "lastTestDate": "<string>"
            },
            "customLogoUrl": "<string>",
            "triggerName": "<string>"
          },
          "nextAction": "<unknown>"
        },
        "valid": true,
        "agentIds": [
          "<string>"
        ],
        "state": "LOCKED",
        "connectionIds": [
          "<string>"
        ],
        "notes": [
          {
            "id": "<string>",
            "content": "<string>",
            "color": "orange",
            "position": {
              "x": 123,
              "y": 123
            },
            "size": {
              "width": 123,
              "height": 123
            },
            "createdAt": "<string>",
            "updatedAt": "<string>",
            "ownerId": "<string>"
          }
        ],
        "updatedBy": "<string>",
        "schemaVersion": "<string>",
        "backupFiles": {}
      },
      "ownerId": "<string>",
      "folderId": "<string>",
      "publishedVersionId": "<string>",
      "metadata": {},
      "timeSavedPerRun": 123,
      "templateId": "<string>",
      "triggerSource": {
        "schedule": {
          "type": "CRON_EXPRESSION",
          "cronExpression": "<string>",
          "timezone": "<string>"
        }
      }
    }
  ],
  "next": "<string>",
  "previous": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://www.activepieces.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use your api key generated from the admin console

Query Parameters

folderId
string
limit
number
cursor
string
status
enum<string>[]
required
Available options:
ENABLED,
DISABLED
projectId
string
required
name
string
agentExternalIds
string[]
required
versionState
enum<string>
Available options:
LOCKED,
DRAFT
connectionExternalIds
string[]
required
externalIds
string[]
required

Response

200 - application/json

Default Response

data
object[]
required
next
string | null
previous
string | null